rtapi_region(3rtapi)

NAME

rtapi_region - functions to manage I/O memory regions

SYNTAX

 void *rtapi_request_region(unsigned long base, unsigned long int size, const char *name)

 void rtapi_release_region(unsigned long base, unsigned long int size)

ARGUMENTS

base
    The base address of the I/O region

size
    The size of the I/O region

name
    The name to be shown in /proc/ioports

DESCRIPTION
rtapi_request_region reserves I/O memory starting at base and going for size bytes.

REALTIME CONSIDERATIONS
May be called from realtime init/cleanup code only.

RETURN VALUE
rtapi_request_region returns NULL if the allocation fails, and a non-NULL value otherwise.

rtapi_release_region has no return value.